<?php
namespace Bushelpowered\Api\Aggregator\Crm\V1\Request;
        
class UpdateDemographicRequest 
{
    public string $id;
    public ?float $onFarmStorageCapacity = null;
    public ?string $onFarmStorageCapacityUoM = null;
    public ?string $additionalDestinationLocations = null;
    public ?string $comments = null;
    /** @var \Bushelpowered\Api\Aggregator\Crm\V1\Request\UpdateCommodityRequest[] $commodities */
    public array $commodities;

    /**
     * @param  \Bushelpowered\Api\Aggregator\Crm\V1\Request\UpdateCommodityRequest[]  $commodities 
     */
    public function __construct(string $id, ?float $onFarmStorageCapacity, ?string $onFarmStorageCapacityUoM, ?string $additionalDestinationLocations, ?string $comments, array $commodities)
    {
        $this->id = $id;
        $this->onFarmStorageCapacity = $onFarmStorageCapacity;
        $this->onFarmStorageCapacityUoM = $onFarmStorageCapacityUoM;
        $this->additionalDestinationLocations = $additionalDestinationLocations;
        $this->comments = $comments;
        $this->commodities = $commodities;
    }
    

}