<?php
namespace Bushelpowered\Api\Iam\Access\Evaluate\V1\Request;
        
class DebugLookupResourcesRequest implements \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\HasConsistency, \Bushelpowered\Api\Iam\Access\Common\V1\Mixins\HasPermissions
{
    public \Bushelpowered\Api\Iam\Access\Common\V1\SubjectRef $subject;
    public ?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Consistency $consistency = null;
    /** @var string[] $permissions */
    public array $permissions;

    /**
     * @param  string[]  $permissions 
     */
    public function __construct(\Bushelpowered\Api\Iam\Access\Common\V1\SubjectRef $subject, ?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Consistency $consistency, array $permissions)
    {
        $this->subject = $subject;
        $this->consistency = $consistency;
        $this->permissions = $permissions;
    }
    
    public function getConsistency(): ?\Bushelpowered\Api\Iam\Access\Common\V1\Mixins\Consistency
    {
        return $this->consistency;
    }
    /**
     * @return string[] 
     */
    public function getPermissions(): array
    {
        return $this->permissions;
    }
}