<?php
namespace Bushelpowered\Api\Platform\Authorization\V1\Request;
        
class SyncStaffUserRequest 
{
    public string $bushelId;
    public string $tenantId;
    /** @var \Bushelpowered\Api\Platform\Authorization\V1\Request\SyncStaffUserRoles[] $tenantRoles */
    public array $tenantRoles;
    /** @var \Bushelpowered\Api\Platform\Authorization\V1\Request\LocationRoles[]|null $locationRoles */
    public ?array $locationRoles = null;

    /**
     * @param  \Bushelpowered\Api\Platform\Authorization\V1\Request\SyncStaffUserRoles[]  $tenantRoles 
     * @param  \Bushelpowered\Api\Platform\Authorization\V1\Request\LocationRoles[]|null  $locationRoles 
     */
    public function __construct(string $bushelId, string $tenantId, array $tenantRoles, ?array $locationRoles)
    {
        $this->bushelId = $bushelId;
        $this->tenantId = $tenantId;
        $this->tenantRoles = $tenantRoles;
        $this->locationRoles = $locationRoles;
    }
    

}